Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdContentProviderBase

    java.lang.Object
      |
      +--com.bea.p13n.ad.AdContentProviderBase

public class AdContentProviderBase
extends java.lang.Object
implements AdContentProvider

A default global ad renderer.

This implementation delagates to the AdContentProvider's specified via the AdContentProvider MBean children of the application's AdService MBean (i.e. via the META-INF/application-config.xml) on a per-Content mimeType basis.

Constructor Summary
`AdContentProviderBase()`

Method Summary
`java.lang.String` | `renderContent(Content c, long identifier, java.lang.String servletBase, int height, int width, int options)` Return the XHTML content for the specified content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdContentProviderBase

    public AdContentProviderBase()

Method Detail

### renderContent

    public java.lang.String renderContent(Content c,
                                          long identifier,
                                          java.lang.String servletBase,
                                          int height,
                                          int width,
                                          int options)
                                   throws AdContentException

  Return the XHTML content for the specified content
  Specified by:
    renderContent in interface AdContentProvider

  Parameters:
    `c` - The content element to render
    `identifier` - Identifier ID for the record generating the ad
    `servletBase` - The web app base on the server
    `height` - The suggested height
    `width` - The suggested width
    `options` - The options for the renderer
  Returns:
    a String representing the XHTML content
  Throws:
    AdContentException - when there is a problem rendering the content
  See Also:
    `ContentProviders.getContentProvider(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved